Subject: bug#41980: closed (Re: [PATCH] rshiny service)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 Jun 2020 11:07:01 +0000

Your bug report

#41980: [PATCH] rshiny service

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41980: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41980
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] rshiny service
From: Efraim Flashner <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Sun, 28 Jun 2020 14:05:57 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jun 23, 2020 at 12:12:12AM +0200, Ricardo Wurmus wrote:
> 
> Hi Efraim,
> 
> > I created this for Pjotr but Ricardo said he was interested in a shiny
> > service too so I figured I'd see about documenting it.
> 
> Thank you.
> 
> > Currently we
> > don't have any packages in Guix which would work with this so I have a
> > link¹ to one. I'm not sure if this fits well in Guix or if I should keep
> > it in the guix-bioinformatics channel.
> 
> I think it should be part of Guix.  Shiny applications aren’t often
> something that you download and install like normal applications, but
> something you primarily write yourself and publish.  So having a service
> like that would allow those who want to host their shiny apps to do so
> easily.
> 
> -- 
> Ricardo

Patch pushed

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] rshiny service
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Sun, 21 Jun 2020 16:31:12 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I created this for Pjotr but Ricardo said he was interested in a shiny
service too so I figured I'd see about documenting it. Currently we
don't have any packages in Guix which would work with this so I have a
link¹ to one. I'm not sure if this fits well in Guix or if I should keep
it in the guix-bioinformatics channel.

I feel like the documentation as I've written it so far is weak. Also,
I've tried to run it inside a make-forkexec-command/container Guix
Service but I ran into problems, as I documented elsewhere².

¹ http://git.genenetwork.org/guix-bioinformatics/guix-bioinformatics/src/branch/master/gn/packages/bioinformatics.scm#L716
² http://git.genenetwork.org/guix-bioinformatics/guix-bioinformatics/src/branch/master/gn/services/rshiny.scm#L41

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted